<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/MyProfilePage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyUserInterfacePane.inc.php" );
	
	require_once( $GLOBALS["site_root"] . "/includes/models/MyMember.inc.php" );
	
	class MyUserInterfacePage extends DefaultFrontend {
		protected $oMyUserInterfacePane;

		public function __construct( $id = "MyUserInterfacePage" , $parent = null , $pagetype = "my_profile" ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oMyUserInterfacePane = new MyUserInterfacePane( "content_widget" , $this );
			} else {
				$this->oMyUserInterfacePane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}
	}

?>
